package web.ParkingRecordRelated;

import pojo.ParkingRecord;
import pojo.User;
import service.ParkingRecordService;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.util.List;

@WebServlet("/main/get_record")
public class get_record extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        HttpSession session = (HttpSession) request.getSession();
        User user=(User)request.getSession().getAttribute("user");
        ParkingRecordService record_service=new ParkingRecordService();
        try {
            List<ParkingRecord> record=record_service.GetAllRecordbySpot_Id(user.getSpot_id());

            session.setAttribute("spot_record",record);

        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        request.getRequestDispatcher("/main/user/parking_record.jsp").forward(request,response);

    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

    }
}


